(function ($) {
	"use strict";

	const STW_Contact = {
		initialized: false,

		init: function () {
			setupEventListeners();
			this.initialized = true;
		},
	};

	function setupEventListeners() {
		$(document)
			.off("click", "#open-contact-form-btn")
			.on("click", "#open-contact-form-btn", handleOpenContactForm);
	}

	function handleOpenContactForm(e) {
		e.preventDefault();
		window.open(window.STW_CONFIG.EXTERNAL_URLS.STW_SUPPORT, "_blank");
	}

	window.STW_Contact = STW_Contact;
})(jQuery);
